Download it now!
Bug 130384 - Font color in Font Effects tab in Paragraph Style dialog is shown as White (but text is not White)
Summary: Font color in Font Effects tab in Paragraph Style dialog is shown as White (b...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:7.0.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Paragraph-Dialog Styles-Dialog
  Show dependency treegraph
 
Reported: 2020-02-03 11:57 UTC by sdc.blanco
Modified: 2020-02-19 17:14 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description sdc.blanco 2020-02-03 11:57:09 UTC
Edit Paragraph Style, Font Effects tab, Font Color

Actual result: Font color is shown as "White" (but the text is black)

Expected result:  probably something else

Version: 7.0.0.0.alpha0+ (x64)
Build ID: dfd027342e6b4107ebd3369de96ef2be3883724d
CPU threads: 8; OS: Windows 10.0 Build 18363; UI render: default; VCL: win; 
Locale: en-US (en_DK); UI-Language: en-US
Calc: threaded
Comment 1 Dieter 2020-02-04 07:30:22 UTC
I confirm it with

Version: 7.0.0.0.alpha0+ (x64)
Build ID: eeb2d19e77d6dc47c68e8ba0920a02cf64a1247b
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: default; VCL: win; 
Locale: de-DE (de_DE); UI-Language: en-GB
Calc: threaded

but not with

Version: 6.3.4.2 (x64)
Build-ID: 60da17e045e08f1793c57c00ba83cdfce946d0aa
CPU-Threads: 4; BS: Windows 10.0; UI-Render: Standard; VCL: win; 
Gebietsschema: de-DE (de_DE); UI-Sprache: de-DE
Calc: threaded

Color is black.

I also could think of "Automatic" by default
Comment 2 Aron Budea 2020-02-09 22:54:10 UTC
Happens in Format -> Character as well, Font color becomes White instead of Automatic.
Bibisected to the following commit using repo bibisect-linux-64-6.5. Adding CC: to Miklos Vajna.

https://cgit.freedesktop.org/libreoffice/core/commit/?id=b4554b8eddd048532269df610e89ae739c46fab7
author		Miklos Vajna <vmiklos@collabora.com>	2019-11-22 17:12:04 +0100
committer	Miklos Vajna <vmiklos@collabora.com>	2019-11-22 18:33:39 +0100

cui: add UI for semi-transparent shape text
Comment 3 sdc.blanco 2020-02-09 23:28:31 UTC
(In reply to Aron Budea from comment #2)
> Happens in Format -> Character as well, Font color becomes White instead of
> Automatic.
Thanks Aron. Can also repro "White" as color in a new document when using Format -> Character  

From looking at the commit message, I suspect Miklos may also have relevant information in relation to bug 130456.
Comment 4 Commit Notification 2020-02-18 08:12:35 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/8553024059f934aaf8bc488f01869fdc6922c120

tdf#130384 cui: fix automatic color showing up as white in the char dlg

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Xisco Faulí 2020-02-19 17:14:39 UTC
Verified in

Version: 7.0.0.0.alpha0+
Build ID: bc994a4b01cf61444452bb377010c7c4cc377698
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

@Miklos, thanks for fixing this issue!